using System;
using Server;
using Server.Engines.Craft;


namespace Server.Items
{
	public class CarpRunicOa : RunicCarpenterTools
	{

		[Constructable]
		public CarpRunicOa() : this( 3 )
		{
		}		

		[Constructable]
		public CarpRunicOa( int uses ) : base( CraftResource.Oak )
		{
			Weight = 1.0;
			UsesRemaining = uses;
		}
		public CarpRunicOa( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}